
// Oppsummering av read variablen
sum read

// Oppsummering av alle variabler i datasettet
sum read early_ability birthy birthm age par_edu not_born books_home girl teacher_age school_location speak_testlang_home income clsize teacher_exp pc_class pct_abroad teacher_fem teacher_cert kinderg_att sameteacher4_plus sameteacher1_less pct_disadv idgrade teacher_edu par_not_born par_emp schoolsize4


//Scatterplot for age og exp
scatter teacher_age teacher_exp

// boxplot av read over teacher cert
graph box read teacher_cert 

//boxplot av read over sovjet og teacher cert, for å sammenlikne landene. Ment som en teaser for leserne
generate norden=sovjet==0
graph box read, over(sovjet) over(teacher_cert)

// Chow-test av strukturell forskjell for sovjetiske lærere vs nordiske lærere
test sovjet sovjet#teacher_exp sovjet#teacher_age sovjet#teacher_fem sovjet#teacher_cert sovjet#sameteacher4_plus sovjet#sameteacher1_less


// VIF-tester er kjørt etter regresjonsanalyser med kommandoen "VIF", f.eks:
regress read i.teacher_age
vif


/*
	Heteroskedastisitet er testet med kommandoen "estat hettest" etter regresjonsanalyser, som følger for regresjonene under
*/

// read med teacher_age som interessevariabel inkludert kontrollvariabler
regress read i.teacher_age early_ability age par_edu girl speak_testlang_home clsize pc_class pct_abroad
estat hettest

// alle variabler
regress read early_ability birthy birthm age par_edu not_born books_home girl teacher_age school_location speak_testlang_home income clsize teacher_exp pc_class pct_abroad teacher_fem teacher_cert kinderg_att sameteacher4_plus sameteacher1_less pct_disadv idgrade teacher_edu par_not_born par_emp schoolsize4
estat hettest

// alle variabler med kontrollvariabler
regress read i.teacher_age early_ability age par_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex replace pvalue  noaster
estat hettest
regress read teacher_exp early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
estat hettest
regress read teacher_fem early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
estat hettest
regress read teacher_cert early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
estat hettest
regress read sameteacher1_less early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
estat hettest
regress read sameteacher4_plus early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
estat hettest




// variabelseleksjonsanalyse med PCA
pca read early_ability birthy birthm age par_edu not_born books_home girl teacher_age school_location speak_testlang_home income clsize teacher_exp pc_class pct_abroad teacher_fem teacher_cert kinderg_att sameteacher4_plus sameteacher1_less pct_disadv idgrade teacher_edu par_not_born par_emp schoolsize4

// variabelseleksjonsanalyse med vselect
vselect read early_ability birthy birthm age par_edu not_born books_home girl teacher_age school_location speak_testlang_home income clsize teacher_exp pc_class pct_abroad teacher_fem teacher_cert kinderg_att sameteacher4_plus sameteacher1_less pct_disadv idgrade teacher_edu par_not_born par_emp schoolsize4, best

// regresjon uten kontrollvariabler med hver enkelt interessevariabel
regress read i.teacher_age
test teacher_age
outreg2 using reg, tex replace pvalue noaster
regress read teacher_exp 
test teacher_exp
outreg2 using reg, tex append pvalue noaster
regress read teacher_fem 
test teacher_fem
outreg2 using reg, tex append pvalue noaster
regress read teacher_cert 
test teacher_cert
outreg2 using reg, tex append pvalue noaster
regress read sameteacher1_less
test sameteacher1_less
outreg2 using reg, tex append pvalue noaster
regress read sameteacher4_plus
test sameteacher4_plus
outreg2 using reg, tex append pvalue noaster


// regresjon med hypotesetesting
regress read i.teacher_age
test teacher_age
outreg2 using reg, tex replace pvalue noaster
regress read teacher_exp 
test teacher_exp
outreg2 using reg, tex append pvalue noaster
regress read teacher_fem 
test teacher_fem
outreg2 using reg, tex append pvalue noaster
regress read teacher_cert 
test teacher_cert
outreg2 using reg, tex append pvalue noaster
regress read sameteacher1_less
test sameteacher1_less
outreg2 using reg, tex append pvalue noaster
regress read sameteacher4_plus
test sameteacher4_plus
outreg2 using reg, tex append pvalue noaster

// regresjon med kontrollvariabler med hver enkelt interessevariabel
regress read i.teacher_age early_ability age par_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex replace pvalue  noaster
regress read teacher_exp early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
regress read teacher_fem early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
regress read teacher_cert early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
regress read sameteacher1_less early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster
regress read sameteacher4_plus early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using myreg, tex append pvalue  noaster


// se om sovjetunionen har påvirkning
regress read sovjet 
outreg2 using reg, tex replace pvalue noaster
regress read sovjet early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster



// interaksjon med sovjet-variabelen, for hver eneste interessevariabel, med og uten kontrollvariabler

regress read i.sovjet##i.teacher_age
outreg2 using reg, tex replace pvalue noaster
regress read i.sovjet##i.teacher_age early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster


regress read i.sovjet##c.teacher_exp 
outreg2 using reg, tex replace pvalue noaster
regress read i.sovjet##c.teacher_exp  early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster


regress read i.sovjet##i.teacher_fem
outreg2 using reg, tex append pvalue noaster
regress read i.sovjet##i.teacher_fem  early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster

regress read i.sovjet##i.teacher_cert 
outreg2 using reg, tex replace pvalue noaster
regress read i.sovjet##i.teacher_cert  early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster

regress read i.sovjet##i.sameteacher1_less
outreg2 using reg, tex replace pvalue noaster
regress read i.sovjet##i.sameteacher1_less  early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster


regress read i.sovjet##i.sameteacher4_plus 
outreg2 using reg, tex append pvalue noaster

regress read i.sovjet##i.sameteacher4_plus early_ability age higher_edu girl speak_testlang_home clsize pc_class pct_abroad 
outreg2 using reg, tex append pvalue noaster
