import numpy as np
import pandas as pd
from matplotlib import pyplot as plt

import seaborn as sns

data=pd.read_stata("bachlor_dataset alle variabler.dta")
df=data[["sovjet","girl","birthm","birthy","age","not_born","par_not_born","early_ability","par_edu","kinderg_att","speak_testlang_home",
         "books_home","par_emp","clsize","teacher_exp","teacher_age","teacher_fem","teacher_cert","pc_class","schoolsize4","pct_disadv","pct_abroad","sameteacher4_plus","sameteacher1_less"]]
corr = df.corr()

mask = np.zeros_like(corr, dtype=np.bool)
mask[np.triu_indices_from(mask)] = True

f, ax = plt.subplots(figsize=(26,24))

cmap = sns.diverging_palette(220, 10, as_cmap=True)

sns.heatmap(
    corr,          # The data to plot
    mask=mask,     # Mask some cells
    cmap=cmap,     # What colors to plot the heatmap as
    annot=True,    # Should the values be plotted in the cells?
    vmax=.5,       # The maximum value of the legend. All higher vals will be same color
    vmin=-.5,      # The minimum value of the legend. All lower vals will be same color
    center=0,      # The center value of the legend. With divergent cmap, where white is
    square=True,   # Force cells to be square
    linewidths=.5, # Width of lines that divide cells
    cbar_kws={"shrink": .5}  # Extra kwargs for the legend; in this case, shrink by 50%
)

f.savefig('heatmap_correlation_norsk.png')